document.c File Reference
`#include "ixmldebug.h"`
`#include "ixmlparser.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "posix_overwrites.h"`
Include dependency graph for document.c:

## Functions

void | ixmlDocument_init (IXML_Document *doc)
| Initializes a Document node.
void | ixmlDocument_free (IXML_Document *doc)
| Frees a Document object and all Nodes associated with it.
static void | ixmlDocument_setOwnerDocument (IXML_Document *doc, IXML_Node *nodeptr)
int | ixmlDocument_importNode (IXML_Document *doc, IXML_Node *importNode, int deep, IXML_Node **rtNode)
| Imports a Node from another Document into this Document.
int | ixmlDocument_createElementEx (IXML_Document *doc, const DOMString tagName, IXML_Element **rtElement)
IXML_Element * | ixmlDocument_createElement (IXML_Document *doc, const DOMString tagName)
int | ixmlDocument_createDocumentEx (IXML_Document **rtDoc)
| Creates a new empty Document node.
IXML_Document * | ixmlDocument_createDocument ()
| Creates a new empty Document node.
int | ixmlDocument_createTextNodeEx (IXML_Document *doc, const DOMString data, IXML_Node **textNode)
IXML_Node * | ixmlDocument_createTextNode (IXML_Document *doc, const DOMString data)
int | ixmlDocument_createAttributeEx (IXML_Document *doc, const DOMString name, IXML_Attr **rtAttr)
IXML_Attr * | ixmlDocument_createAttribute (IXML_Document *doc, const DOMString name)
int | ixmlDocument_createAttributeNSEx (IXML_Document *doc, const DOMString namespaceURI, const DOMString qualifiedName, IXML_Attr **rtAttr)
IXML_Attr * | ixmlDocument_createAttributeNS (IXML_Document *doc, const DOMString namespaceURI, const DOMString qualifiedName)
int | ixmlDocument_createCDATASectionEx (IXML_Document *doc, const DOMString data, IXML_CDATASection **rtCD)
IXML_CDATASection * | ixmlDocument_createCDATASection (IXML_Document *doc, const DOMString data)
int | ixmlDocument_createElementNSEx (IXML_Document *doc, const DOMString namespaceURI, const DOMString qualifiedName, IXML_Element **rtElement)
IXML_Element * | ixmlDocument_createElementNS (IXML_Document *doc, const DOMString namespaceURI, const DOMString qualifiedName)
IXML_NodeList * | ixmlDocument_getElementsByTagName (IXML_Document *doc, const DOMString tagName)
IXML_NodeList * | ixmlDocument_getElementsByTagNameNS (IXML_Document *doc, const DOMString namespaceURI, const DOMString localName)
IXML_Element * | ixmlDocument_getElementById (IXML_Document *doc, const DOMString tagName)

## Function Documentation

## ixmlDocument_setOwnerDocument()

static void ixmlDocument_setOwnerDocument | ( | IXML_Document * | doc,
|  | IXML_Node * | nodeptr
| ) |  |

static

When this function is called first time, nodeptr is the root of the subtree, so it is not necessay to do two steps recursion.

Internal function called by ixmlDocument_importNode

Parameters

  [in] | doc | The document node.
  [in] | nodeptr |

Todo:
  documentation.

References ixmlDocument_setOwnerDocument(), ixmlNode_getFirstChild(), and ixmlNode_getNextSibling().

Referenced by ixmlDocument_importNode(), and ixmlDocument_setOwnerDocument().